import request from '~/utils/request';
//列表数据
export const queryApi = (data = {}) =>
  request({
    url: '/xdbg/xzfw_qjgl/index',
    data
  });
// 添加接口
export const addApi = (data = {}) => request({
  url: '/xdbg/xzfw_qjgl/add',
  data: { xdbg_xzfw_qjgl: data }
});
//编辑接口
export const editApi = (chooseId, data = {}) => request({
  url: '/xdbg/xzfw_qjgl/edit',
  data: { xxq_id: chooseId, xdbg_xzfw_qjgl: data }
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/xzfw_qjgl/detail',
  data: { xxq_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/xzfw_qjgl/delete',
  data: { xxq_id: chooseId }
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/xzfw_qjgl/index',
  data: keyIn_keyword
})

//通用-科室列表（组织机构use_org）
export const org_list = (data = {}) =>
  request({
    url: '/user/org/index',
    data
  });
//用户列表
export const org_users = (data) =>
  request({
    url: '/user/main/index',
    data
  })
