import request from '@/utils/request';
//列表数据
export const queryApi = (choosePage, data = {}) =>
  request({
    url: '/xdbg/xzfw_wcgl/index',
    data: { limit: 10, page: choosePage },
  });
// 添加接口
export const addApi = (data = {}) => request({
  url: '/xdbg/xzfw_wcgl/add',
  data: { xdbg_xzfw_wcgl: data }
});
//编辑接口
export const editApi = (chooseId, data = {}) => request({
  url: '/xdbg/xzfw_wcgl/edit',
  data: { xxw_id: chooseId, xdbg_xzfw_wcgl: data }
});
//详情接口
export const detailApi = (chooseId) => request({
  url: '/xdbg/xzfw_wcgl/detail',
  data: { xxw_id: chooseId }
});
//删除接口
export const deleteApi = (chooseId) => request({
  url: '/xdbg/xzfw_wcgl/delete',
  data: { xxw_id: chooseId }
});
//搜索接口
export const searchApi = (keyIn_keyword) => request({
  url: '/xdbg/xzfw_wcgl/index',
  data: keyIn_keyword
});

//用户列表
export const org_users = (data = {}) =>
  request({
    url: '/user/main/index',
    data: {
      dept_id: data.dept_id,
      all: '1',
      page: data.page,
      limit: data.limit

    }
  })
